Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Linie spiegel

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Linie spiegel (4158 mal gelesen)
Bauvermesser
Mitglied
Vermesser


Sehen Sie sich das Profil von Bauvermesser an!   Senden Sie eine Private Message an Bauvermesser  Schreiben Sie einen Gästebucheintrag für Bauvermesser

Beiträge: 460
Registriert: 18.03.2006

AMD 2600, 2024RAM ,WIN XP PROF-SP3, ACAD 2005, Firmenrechner,

erstellt am: 22. Mrz. 2006 21:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
könnte mir jemand mit einer befehlreihenfolge wie folgt helfen

objekt (linie) markieren, spiegeln um die achse (180 grad)-(Linie ist eigentlich spiegelachse!!!), alte linie löschen,(neue linie ist in  art und form wie die alte, gleicher layer)

wozu; in vermessungsplänen werden Linien mit symbolen verwendet welche aber in die richtige richtung weisen müssen (zaunsignatur-Mauersymbole),
oftmals wird beim linie ziehen die falsche richtung erwischt und der befehl muß abgebrochen werden

------------------
Gruß vom Bauvermesser;
übrigens-
ein Vermesser kennt seine Grenzen!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Gerd_Ecke
Mitglied
Bergbauingenieur


Sehen Sie sich das Profil von Gerd_Ecke an!   Senden Sie eine Private Message an Gerd_Ecke  Schreiben Sie einen Gästebucheintrag für Gerd_Ecke

Beiträge: 141
Registriert: 28.08.2002

Civil 3D 2020, GeoCAD
BricsCAD 18

erstellt am: 22. Mrz. 2006 21:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Hallo :

ganz einfach :
1. Linie markieren
2. Diese "LISTE" umdrehen (gibt es als lisp Befehl zur Listenbearbeitung.
3. Linie in Zeichnungsdatenbank zurückspeichern.
oder ohne Lisp :
Objektfang auf ENDpunkt, Linie nachzeichnen und alte Linie löschen !!
Wenn beim Löschen die falsche Linie verschwindet, dann Hoppla...

MfG

------------------
ACAD 2000, Map 2006, GeoCAD
wenig LTplus pur (ICAD)
alles unter w2k

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13508
Registriert: 30.11.2003

.

erstellt am: 22. Mrz. 2006 22:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich


pl-reverse.VLX.txt

 
ich hänge dir mal ein Tool, welches die Laufrichtung von Polylinien /Linien umkehrt zum Testen mit ran ... einfach als *.vlx speichern und mittels _appload in die Zeichnung laden. Es werden LW/3D und 2D-Polylinien mit Bögen und Segmentdicken, sowie normale Linien berücksichtigt.

------------------
      - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 23. Mrz. 2006 09:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Hallo

Hier ein Lisp Programm welches alle Linien so dreht das Linien mit Symbolen bzw. Texten in leserlicher Richtung stehen. Also von vorne oder von rechts gelesen werden.

(defun c:leitungd (/ n a anz o ap ep w ob) ;Leitungen drehen
  (setq n 0)
  (setq a (ssget "X" '((0 . "LINE"))))
  (if (= a nil) (alert "Eh du! Da sind keine Linien in der Zeichnung")(progn
  (setq anz (sslength a))
  (repeat anz
    (setq o (ssname a n))
    (setq n (+ 1 n))
    (setq ob (entget o))
    (setq ap (assoc 10 ob))
    (setq ap (cdr ap))
    (setq ep (assoc 11 ob))
    (setq ep (cdr ep))
    (setq w (atof (angtos (angle ap ep))))
    (if
      (and (<= w 270) (> w 90))
      (progn
(setq ob
(subst (cons 10 ep)
      (assoc 10 ob)
      ob
)
)
(entmod ob)
(setq ob
(subst (cons 11 ap)
      (assoc 11 ob)
      ob
)
)
(entmod ob)
      )
      ()
    )
  )))
  (princ)
)

------------------
  Martin 

Viele Grüße aus dem schönen Münsterland!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1733
Registriert: 11.10.2004

Window 10
ACAD 2021
CIVIL 2021
BricsCAD V14-V22
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050<P>

erstellt am: 23. Mrz. 2006 11:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Hallo Martin,
betrachte diesen Beitrag bitte als stilistische Verbesserungsvorschlag und nicht als besserwisserisch.

Wo ich drüber gestolpert bin in Deinem Code ist die Abfrage "(if (= a nil)". Desweiteren setzt Du sehr viele Variablen, die nicht notwedig sind, z.B.
  (setq ap (assoc 10 ob))
  (setq ap (cdr ap))

da geht doch auch

  (setq ap(cdr(assoc 10 ob)))

Mapcar hatte sich in seinem Tutorial sehr hilfreich darüber ausgelassen: http://www.autolisp-tutorial.mapcar.net/stilfragen2.html

und hier nun nochmal mein Vorschlag (inhaltlich habe ich nichts geändert)

Code:

(defun c:leitungd  (/ n a ap ep w) ;Leitungen drehen
  (setq n 0)
  (if (setq a (ssget "X" '((0 . "LINE"))))
    (repeat (sslength a)
      (setq w
    (atof
      (angtos
(angle
  (setq ap (cdr (assoc 10 (entget (ssname a n)))))
  (setq ep (cdr (assoc 11 (entget (ssname a n)))))))))
      (if
(and (<= w 270) (> w 90))
(progn
  (entmod (subst (cons 10 ep)
  (assoc 10 (entget (ssname a n)))
  (entget (ssname a n))))
  (entmod (subst (cons 11 ap)
  (assoc 11 (entget (ssname a n)))
  (entget (ssname a n))))))
      (setq n (+ 1 n)))
    (alert "Eh du! Da sind keine Linien in der Zeichnung"))
  (princ)
  )

Und noch eins, für eine Winkelabfrage würde ich immer mit den wirklichen Winkelwerten arbeiten. Du fragst nach Winkelwerten zwischen 90 und 270 Grad, was ist, wenn der Benutzer mit Gon oder sonst einer anderne Einheit arbeitet?

------------------
viele Grüße

Jörn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 23. Mrz. 2006 16:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Hallo Jörn

ist schon OK.  War einer meiner ersten Lisp-Befehle die ich geschrieben habe. Hatte bislang noch keine Zeit alte Befehle zu überarbeiten. Aber besten Dank.

------------------
  Martin 

Viele Grüße aus dem schönen Münsterland!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Ingenieur (m/w/d) als Lead EMSR-Planer im Anlagenbau
Wir sind planting. Premium-Partner der Prozessindustrie. Wir planen und konstruieren die besten verfahrenstechnischen Anlagen. Optimiert bis ins kleinste technische Detail. Wir können das, weil wir ausgezeichnete Teams haben. Vielfältig und mit Leidenschaft für den Anlagenbau. Unsere Teams in der Region Rhein-Neckar sind traditionell stark in den Bereichen Verfahrenstechnik und Layout & Piping, bilden aber das volle Leistungsspektrum über alle Gewerke von EMSR bis Civil ab....
Anzeige ansehenElektrotechnik, Elektronik
Bauvermesser
Mitglied
Vermesser


Sehen Sie sich das Profil von Bauvermesser an!   Senden Sie eine Private Message an Bauvermesser  Schreiben Sie einen Gästebucheintrag für Bauvermesser

Beiträge: 460
Registriert: 18.03.2006

AMD 2600, 2024RAM ,WIN XP PROF-SP3, ACAD 2005, Firmenrechner,

erstellt am: 27. Mrz. 2006 21:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas,
problem mit deinem vlx programm gelöst
besten dank, ist für meine zwecke ausreichend,
danke an alle die sich bemüht haben

------------------
Gruß vom Bauvermesser;
übrigens-
ein Vermesser kennt seine Grenzen!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2023 CAD.de | Impressum | Datenschutz